function A = assemMatPolar_BFE(n)

    n_boundary = n;
    n_interior = (n-1) * n;

    % Allocate space
    I = zeros(9*n_boundary + 16*n_interior, 1);
    J = zeros(9*n_boundary + 16*n_interior, 1);
    S = zeros(9*n_boundary + 16*n_interior, 1);

    % Iterate through the boundary elements
    loc = 1:9;
    for j = 0:n-1
        Aloc = STIMA_Lapl_Polar(0, j, n);
        [i1,i2,i3,~] = locglobmap(0, j, n);
        i_idx = repmat([i1;i2;i3], 3, 1);
        j_idx = repmat([i1,i2,i3], 3, 1);
        I(loc) = i_idx(:); J(loc) = j_idx(:);
        S(loc) = Aloc(:);
        loc = loc + 9;
    end

    % Remainder
    loc = [loc(1):loc(1)+15];
    for i = 1:n-1
        for j = 0:n-1
            Aloc = STIMA_Lapl_Polar(i, j, n);
            [i1,i2,i3,i4] = locglobmap(i, j, n);
            i_idx = repmat([i1;i2;i3;i4], 4, 1);
            j_idx = repmat([i1,i2,i3,i4], 4, 1);
            I(loc) = i_idx(:); J(loc) = j_idx(:);
            S(loc) = Aloc(:);
            loc = loc + 16;
        end
    end

    A = sparse(I, J, S);

end

