function BdPenalTest

    nitsche = 1;

    nrm = @(x) sqrt(sum(x.^2, 2));
    exact = @(x,varargin) cos(pi/2*nrm(x));
    msinc = @(x) sinc(x/pi);
    rhs = @(x,varargin) pi^2/4 * (exact(x) + msinc(pi/2*nrm(x)));

    Mesh = load_Mesh('Coord.dat', 'Elem.dat');

    alphas = 2.^(0:16);
    errs = [];
    for alpha = alphas
        penal = @(x,varargin) alpha;
        if ~nitsche
            u = solveRobinBVP(Mesh, penal, rhs);
        else
            u = solveNitsche(Mesh, rhs, alpha);
        end
        errs = [errs, L2Err_LFE(Mesh, u, P7O6(), exact)];
    end

    loglog(alphas, errs, 'bo-', 'LineWidth', 2);
    grid on;
    xlabel('\alpha');
    ylabel('L^2-error');

end
